 <%--
  - FileName   : encrypt
  - Author(s)  : ok
  - Date       : 2014.07.28
  - Copyright  : Copyright (c) 2014 www.udapsoft.co.kr, Inc.
  - Description: (전자조달.구매대금) 대금신청현황의 대금신규등록 팝업
--%>

<%@page import="kr.co.udapsoft.ebid.buyer.common.file.FileManager"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>
<%@ page import="kr.co.hsnc.common.config.WAFConfig"%>

<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
	ctx.init(request, response);
	HandlerStorage storage = ctx.getHandlerStorage();
	ValueObject params = storage.getParams();
	ValueObject user = storage.getUser();
	String event = storage.getEvent();   
%>
<SCRIPT language="JavaScript">

    function rtn_save(){
		//var f = document.form1;
		//submitXmlRequest("/sycs/common/encrypt.screen", "", f);
		
		$("#fevent").val("");
		$("#form1").attr("action", "/sycs/common/encrypt.screen"); 
	
	    $("#form1").attr("target", "_self");
	    $("#form1").attr("method", "post");
	    $("#form1").submit();
	
	}
	
    function doResult(resultObj) {
	    try {
			if( resultObj.getRequestEvent() == "UPDATE") {
				document.form1.isSubmit = false;
				alert("저장되었습니다.");
			}
		} catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}

</script>

<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search" action="">
<input type="hidden" name="fevent" id="fevent" value="">
암호화<%= InputText.get("encrypt_data", params.get("encrypt_data"), 50, 180, "hangule") %> <%= InputText.get("encrypt_data_get", params.get("encrypt_data_get"), 50, 180, "hangule") %><br>  
복호화<%= InputText.get("decrypt_data", params.get("decrypt_data"), 50, 180, "hangule") %> <%= InputText.get("decrypt_data_get", params.get("decrypt_data_get"), 50, 180, "hangule") %><br> 
단방향<%= InputText.get("pass_data", params.get("pass_data"), 50, 180, "hangule") %> <%= InputText.get("pass_data_get", params.get("pass_data_get"), 80, 180, "hangule") %><br>
 
 
 
 <span class="btnSearch center" id="btnConf"><a href="javascript:rtn_save();">확인</a></span> 
</form>